# -*- coding: utf-8 -*-
# Generated by Django 1.11.3 on 2017-07-26 13:51
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import swapper
import django.utils.timezone
import model_utils.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        swapper.dependency('django_freeradius', 'RadiusReply'),
        swapper.dependency('django_freeradius', 'RadiusCheck'),
    ]

    operations = [
        migrations.CreateModel(
            name='Nas',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('name', models.CharField(db_column='nasname', db_index=True, help_text='NAS Name (or IP address)', max_length=128, unique=True, verbose_name='name')),
                ('short_name', models.CharField(db_column='shortname', max_length=32, verbose_name='short name')),
                ('type', models.CharField(max_length=30, verbose_name='type')),
                ('secret', models.CharField(help_text='Shared Secret', max_length=60, verbose_name='secret')),
                ('ports', models.IntegerField(blank=True, null=True, verbose_name='ports')),
                ('community', models.CharField(blank=True, max_length=50, null=True, verbose_name='community')),
                ('description', models.CharField(max_length=200, null=True, verbose_name='description')),
                ('server', models.CharField(max_length=64, null=True, verbose_name='server')),
            ],
            options={
                'swappable': swapper.swappable_setting('django_freeradius', 'Nas'),
                'db_table': 'nas',
                'verbose_name_plural': 'NAS',
                'abstract': False,
                'verbose_name': 'NAS',
            },
        ),
        migrations.CreateModel(
            name='RadiusAccounting',
            fields=[
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('rad_acct_id', models.BigIntegerField(db_column='radacctid', primary_key=True, serialize=False, verbose_name='RADIUS accounting ID')),
                ('acct_session_id', models.CharField(db_column='acctsessionid', db_index=True, max_length=64, verbose_name='accounting session ID')),
                ('acct_unique_id', models.CharField(db_column='acctuniqueid', max_length=32, unique=True, verbose_name='accounting unique ID')),
                ('username', models.CharField(db_index=True, max_length=64, verbose_name='username')),
                ('groupname', models.CharField(max_length=64, verbose_name='group name')),
                ('realm', models.CharField(max_length=64, null=True, verbose_name='realm')),
                ('nas_ip_address', models.CharField(db_column='nasipaddress', db_index=True, max_length=15, verbose_name='NAS IP address')),
                ('nas_port_id', models.CharField(db_column='nasportid', max_length=15, null=True, verbose_name='NAS port ID')),
                ('nas_port_type', models.CharField(db_column='nasporttype', max_length=32, verbose_name='NAS port type')),
                ('acct_start_time', models.DateTimeField(db_column='acctstarttime', db_index=True, verbose_name='Accounting start time')),
                ('acct_stop_time', models.DateTimeField(db_column='acctstoptime', db_index=True, null=True, verbose_name='Accounting stop time')),
                ('acct_session_time', models.IntegerField(db_column='acctsessiontime', db_index=True, null=True, verbose_name='Accounting session time')),
                ('acct_authentic', models.CharField(db_column='acctauthentic', max_length=32, null=True, verbose_name='Accounting authentication')),
                ('connection_info_start', models.CharField(db_column='connectinfo_start', max_length=50, null=True, verbose_name='connection info start')),
                ('connection_info_stop', models.CharField(db_column='connectinfo_stop', max_length=50, null=True, verbose_name='connection info stop')),
                ('acct_input_octets', models.BigIntegerField(db_column='acctinputoctets', null=True, verbose_name='accounting input octets')),
                ('acct_output_octets', models.BigIntegerField(db_column='acctoutputoctets', null=True, verbose_name='accounting output octets')),
                ('calling_station_id', models.CharField(db_column='calledstationid', max_length=50, verbose_name='calling station ID')),
                ('called_station_id', models.CharField(db_column='callingstationid', max_length=50, verbose_name='called station ID')),
                ('acct_terminate_cause', models.CharField(db_column='acctterminatecause', max_length=32, verbose_name='accounting termination cause')),
                ('service_type', models.CharField(db_column='servicetype', max_length=32, null=True, verbose_name='service type')),
                ('framed_protocol', models.CharField(db_column='framedprotocol', max_length=32, null=True, verbose_name='framed protocol')),
                ('framed_ip_address', models.CharField(db_column='framedipaddress', db_index=True, max_length=15, verbose_name='framed IP address')),
                ('acct_start_delay', models.IntegerField(db_column='acctstartdelay', null=True, verbose_name='accounting start delay')),
                ('acct_stop_delay', models.IntegerField(db_column='acctstopdelay', null=True, verbose_name='accounting stop delay')),
                ('xascend_session_svrkey', models.CharField(db_column='xascendsessionsvrkey', max_length=10, null=True, verbose_name='xascend session svrkey')),
            ],
            options={
                'swappable': swapper.swappable_setting('django_freeradius', 'RadiusAccounting'),
                'db_table': 'radacct',
                'verbose_name_plural': 'accountings',
                'abstract': False,
                'verbose_name': 'accounting',
            },
        ),
        migrations.CreateModel(
            name='RadiusCheck',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('username', models.CharField(db_index=True, max_length=64, verbose_name='username')),
                ('value', models.CharField(max_length=253, verbose_name='value')),
                ('op', models.CharField(choices=[('=', '='), (':=', ':='), ('==', '=='), ('+=', '+='), ('!=', '!='), ('>', '>'), ('>=', '>='), ('<', '<'), ('<=', '<='), ('=~', '=~'), ('!~', '!~'), ('=*', '=*'), ('!*', '!*')], default=':=', max_length=2, verbose_name='operator')),
                ('attribute', models.CharField(max_length=64, verbose_name='attribute')),
            ],
            options={
                'swappable': swapper.swappable_setting('django_freeradius', 'RadiusCheck'),
                'db_table': 'radcheck',
                'verbose_name_plural': 'radius checks',
                'abstract': False,
                'verbose_name': 'radius check',
            },
        ),
        migrations.CreateModel(
            name='RadiusGroup',
            fields=[
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('id', models.UUIDField(db_column='id', primary_key=True, serialize=False)),
                ('groupname', models.CharField(db_index=True, max_length=255, unique=True, verbose_name='group name')),
                ('priority', models.IntegerField(default=1, verbose_name='priority')),
                ('notes', models.CharField(blank=True, max_length=64, null=True, verbose_name='notes')),
            ],
            options={
                'swappable': swapper.swappable_setting('django_freeradius', 'RadiusGroup'),
                'db_table': 'radiusgroup',
                'verbose_name_plural': 'radius groups',
                'abstract': False,
                'verbose_name': 'radius group',
            },
        ),
        migrations.CreateModel(
            name='RadiusGroupCheck',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('groupname', models.CharField(db_index=True, max_length=64, verbose_name='group name')),
                ('attribute', models.CharField(max_length=64, verbose_name='attribute')),
                ('op', models.CharField(choices=[('=', '='), (':=', ':='), ('==', '=='), ('+=', '+='), ('!=', '!='), ('>', '>'), ('>=', '>='), ('<', '<'), ('<=', '<='), ('=~', '=~'), ('!~', '!~'), ('=*', '=*'), ('!*', '!*')], default=':=', max_length=2, verbose_name='operator')),
                ('value', models.CharField(max_length=253, verbose_name='value')),
            ],
            options={
                'swappable': swapper.swappable_setting('django_freeradius', 'RadiusGroupCheck'),
                'db_table': 'radgroupcheck',
                'verbose_name_plural': 'radius group checks',
                'abstract': False,
                'verbose_name': 'radius group check',
            },
        ),
        migrations.CreateModel(
            name='RadiusGroupReply',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('groupname', models.CharField(db_index=True, max_length=64, verbose_name='group name')),
                ('attribute', models.CharField(max_length=64, verbose_name='attribute')),
                ('op', models.CharField(choices=[('=', '='), (':=', ':='), ('+=', '+=')], default='=', max_length=2, verbose_name='operator')),
                ('value', models.CharField(max_length=253, verbose_name='value')),
            ],
            options={
                'swappable': swapper.swappable_setting('django_freeradius', 'RadiusGroupReply'),
                'db_table': 'radgroupreply',
                'verbose_name_plural': 'radius group replies',
                'abstract': False,
                'verbose_name': 'radius group reply',
            },
        ),
        migrations.CreateModel(
            name='RadiusGroupUsers',
            fields=[
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('id', models.UUIDField(db_column='id', primary_key=True, serialize=False)),
                ('username', models.CharField(max_length=64, unique=True, verbose_name='username')),
                ('groupname', models.CharField(max_length=255, unique=True, verbose_name='group name')),
                ('radius_check', models.ManyToManyField(blank=True, db_column='radiuscheck', to=settings.DJANGO_FREERADIUS_RADIUSCHECK_MODEL, verbose_name='radius check')),
            ],
            options={
                'swappable': swapper.swappable_setting('django_freeradius', 'RadiusGroupUsers'),
                'db_table': 'radiusgroupusers',
                'verbose_name_plural': 'radius group users',
                'abstract': False,
                'verbose_name': 'radius group users',
            },
        ),
        migrations.CreateModel(
            name='RadiusPostAuth',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('username', models.CharField(max_length=64, verbose_name='username')),
                ('password', models.CharField(db_column='pass', max_length=64, verbose_name='password')),
                ('reply', models.CharField(max_length=32, verbose_name='reply')),
                ('date', models.DateTimeField(auto_now_add=True, db_column='authdate', verbose_name='date')),
            ],
            options={
                'swappable': swapper.swappable_setting('django_freeradius', 'RadiusPostAuth'),
                'db_table': 'radpostauth',
                'verbose_name_plural': 'radius post authentication logs',
                'abstract': False,
                'verbose_name': 'radius post authentication log',
            },
        ),
        migrations.CreateModel(
            name='RadiusReply',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('username', models.CharField(db_index=True, max_length=64, verbose_name='username')),
                ('value', models.CharField(max_length=253, verbose_name='value')),
                ('op', models.CharField(choices=[('=', '='), (':=', ':='), ('+=', '+=')], default='=', max_length=2, verbose_name='operator')),
                ('attribute', models.CharField(max_length=64, verbose_name='attribute')),
            ],
            options={
                'swappable': swapper.swappable_setting('django_freeradius', 'RadiusReply'),
                'db_table': 'radreply',
                'verbose_name_plural': 'radius replies',
                'abstract': False,
                'verbose_name': 'radius reply',
            },
        ),
        migrations.CreateModel(
            name='RadiusUserGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('username', models.CharField(db_index=True, max_length=64, verbose_name='username')),
                ('groupname', models.CharField(max_length=64, verbose_name='group name')),
                ('priority', models.IntegerField(default=1, verbose_name='priority')),
            ],
            options={
                'swappable': swapper.swappable_setting('django_freeradius', 'RadiusUserGroup'),
                'db_table': 'radusergroup',
                'verbose_name_plural': 'radius user group associations',
                'abstract': False,
                'verbose_name': 'radius user group association',
            },
        ),
        migrations.AddField(
            model_name='radiusgroupusers',
            name='radius_reply',
            field=models.ManyToManyField(blank=True, db_column='radiusreply', to=settings.DJANGO_FREERADIUS_RADIUSREPLY_MODEL, verbose_name='radius reply'),
        ),
    ]
